Updates existing records in the specified logical entity. Send an unlabeled JSON array with one or more record objects:
- For full updates, include all fields for each record.
- For partial updates, include the entity's primary key fields and only the fields whose values you want to change.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
Developer-friendly system name of the Zilliant entity.
Update a full UOM record.
[
{
"UOMId": "5001",
"UOMSetId": "1",
"Type": "Box",
"ConversionFactor": 120.0,
"SequenceNumber": null,
"DisplayName": null,
"IsHidden": null
}
]Update only ConversionFactor on a single UOM record.
[
{
"UOMId": "5001",
"ConversionFactor": 115.0
}
]Unlabeled array of one or more objects. Each object defines records to update. Objects include a set of key-value pairs that update some or all of the available fields in the record. The key specifies the field's system name, and the value specifies the value to insert in that field including null values. To update only some of the available fields, one key-value pair in the object must specify the system name of the entity's primary key field and the key value of the record to update.
Successfully updated. Returns one result object per attempted record update, including success or failure details. A failed result includes an error message.
No token found in the request.
Logical entity with the given entitySystemName does not exist.
Error communicating with dependee service.
Service failed to process request.